Commits

Thomas Noe committed 7446199

exception in get_player_pos

Comments (0)

Files changed (1)

         for col_i, col in enumerate(row):
             if map_array[row_i][col_i] == 4:
                 return (row_i, col_i)
-    return (0, 0)
+
+	# shouldn't have gotten this far
+	raise Exception, "Error finding player position. Make sure there is an @ in your map!"
 
 def move_player(map_array, char_pos, direction):
     """
             
             x = scr.getch()
     except:
-        print "ERROR!!!!"
-
+		logging.debug("Exception occured...")
     finally:
         quit(scr)